// ([0-9]){10,}

const regexEmail =
    r"^[a-zA-Z0-9.a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]+@[a-zA-Z0-9-.-_]+\.[a-zA-Z]+";
const regexPhone = r"^[0-9]{10,}$";
const regexCode = r"^[0-9]{6}$";

bool isEmailMatch(String value) {
  return RegExp(regexEmail).hasMatch(value);
}

bool isPhoneMatch(String value) {
  return RegExp(regexPhone).hasMatch(value);
}

bool isCodeMatch(String value) {
  return RegExp(regexCode).hasMatch(value);
}
