import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ApiErrorRow extends StatelessWidget {
  final String apiError;

  ApiErrorRow({
    Key? key,
    this.apiError = "",
  }) : super(key: key);

  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Icon(
          CupertinoIcons.exclamationmark_triangle,
          color: Colors.red,
        ),
        Text(
          apiError,
          textAlign: TextAlign.center,
          style: TextStyle(
            color: Colors.red,
          ),
        ),
      ],
    );
  }
}
