import 'dart:convert';

Map<String, String> getUserQueryParams() {
  return {
    "filters": json.encode([
      {
        "name": "users.active",
        "comparison": "eq",
        "value": true,
      }
    ])
  };
}

Map<String, String> searchUsersQueryParams(String value) {
  return {
    "filters": json.encode([
      {
        "name": "users.active",
        "comparison": "eq",
        "value": true,
      },
      {
        "name": "users.email",
        "comparison": "like",
        "value": "$value",
        "subFilters": [
          {
            "name": "users.firstName",
            "comparison": "like",
            "value": "$value",
            "orOperator": true,
          },
          {
            "name": "users.lastName",
            "comparison": "like",
            "value": "$value",
            "orOperator": true,
          },
        ]
      },
    ])
  };
}
